[arch-commits] Commit in feh/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 3 02:48:31 EDT 2009


    Date: Friday, April 3, 2009 @ 02:48:31
  Author: eric
Revision: 32959

upgpkg: feh 1.3.4-4
    Added license, Added arch tag, Added libxt makedepends, FHS man pages and docs

Modified:
  feh/trunk/PKGBUILD

----------+
 PKGBUILD |   17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-03 06:45:53 UTC (rev 32958)
+++ PKGBUILD	2009-04-03 06:48:31 UTC (rev 32959)
@@ -4,17 +4,20 @@
 
 pkgname=feh
 pkgver=1.3.4
-pkgrel=3
+pkgrel=4
 pkgdesc="feh is a fast, lightweight image viewer which uses imlib2"
+arch=('i686' 'x86_64')
+url="http://www.linuxbrit.co.uk/feh/"
+license=('MIT')
 depends=('libpng' 'libxinerama' 'giblib')
+makedepends=('libxt')
 source=(http://linuxbrit.co.uk/downloads/$pkgname-$pkgver.tar.gz)
-url="http://www.linuxbrit.co.uk/feh/"
-#license=('X11') per fsf.org
 md5sums=('3d35ba3d2f0693b019800787f1103891')
 
 build() {
-	cd $startdir/src/$pkgname-$pkgver
-	./configure --prefix=/usr
-	make || return 1
-	make prefix=$startdir/pkg/usr install
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --mandir=/usr/share/man  || return 1
+  make || return 1
+  make DESTDIR=$pkgdir docsdir=/usr/share/doc/feh install || return 1
+  install -D -m644 COPYING $pkgdir/usr/share/licenses/$pkgname/LICENSE
 }



More information about the arch-commits mailing list